Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.PEP.Basis

class slepc4py.SLEPc.PEP.Basis

  Bases: `object`

  PEP basis type for the representation of the polynomial.

  - `MONOMIAL`: Monomials (default).

  - `CHEBYSHEV1`: Chebyshev polynomials of the 1st kind.

  - `CHEBYSHEV2`: Chebyshev polynomials of the 2nd kind.

  - `LEGENDRE`: Legendre polynomials.

  - `LAGUERRE`: Laguerre polynomials.

  - `HERMITE`: Hermite polynomials.

  Attributes Summary

  `CHEBYSHEV1` | Constant `CHEBYSHEV1` of type `int`
  `CHEBYSHEV2` | Constant `CHEBYSHEV2` of type `int`
  `HERMITE` | Constant `HERMITE` of type `int`
  `LAGUERRE` | Constant `LAGUERRE` of type `int`
  `LEGENDRE` | Constant `LEGENDRE` of type `int`
  `MONOMIAL` | Constant `MONOMIAL` of type `int`

  Attributes Documentation

  CHEBYSHEV1: int = CHEBYSHEV1

    Constant `CHEBYSHEV1` of type `int`

  CHEBYSHEV2: int = CHEBYSHEV2

    Constant `CHEBYSHEV2` of type `int`

  HERMITE: int = HERMITE

    Constant `HERMITE` of type `int`

  LAGUERRE: int = LAGUERRE

    Constant `LAGUERRE` of type `int`

  LEGENDRE: int = LEGENDRE

    Constant `LEGENDRE` of type `int`

  MONOMIAL: int = MONOMIAL

    Constant `MONOMIAL` of type `int`